Get all mfa settings for an organization
Returns the MFA settings for the specified organization.
GET
/
organizations
/
{organizationId}
/
mfaSettings
Get all mfa settings for an organization
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/mfaSettings \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/organizations/{organizationId}/mfaSettings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/organizations/{organizationId}/mfaSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mfaSettings": [
{
"mfaDeviceType": "totp",
"enabledAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of organization
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of mfa settings for the organization
List of MFA device type settings for the organization
Show child attributes
Show child attributes
Last modified on January 21, 2026
Was this page helpful?
⌘I
Get all mfa settings for an organization
